com.genesyslab.wfm7.API.service.config761

## Class CfgReportTask

- java.lang.Object
- - com.genesyslab.wfm7.API.service.config761.CfgReportTask

- All Implemented Interfaces:
    java.io.Serializable

      public class CfgReportTask
      extends java.lang.Object
      implements java.io.Serializable

  Describes task that schedules auto-generated report.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private int` | `gswUserId` An ID of user that owns Report Task `CfgUser`
    `private long` | `timestamp` A timestamp value -- marks the point in time when Object information was obtained
    `private double` | `wmEndDate` End Date for task to be run (can be null).
    `private int` | `wmExportFormat` Export format
    `private boolean[]` | `wmFrequency` Used together with wmFrequencyType = ECfgFrequencyType.CFG_FREQUENCY_WEEKLY to specify days of the week when task should run.
    `private int` | `wmFrequencyDay` Used together with wmFrequencyType = ECfgFrequencyType.CFG_FREQUENCY_MONTHLY to specify day of the month.
    `private int` | `wmFrequencyType` `ECfgFrequencyType`
    `private java.lang.String` | `wmName` Name of report
    `private java.lang.String` | `wmReportFilter` Used to store custom report filter
    `(package private) int` | `wmReportTaskId` Report Task unique ID
    `private int` | `wmReportType` Report Type
    `private int[]` | `wmReportUsers` A report distribution list containing user IDs `CfgUser`
    `private int` | `wmReportUsersNSizeIs` Number of elements in the wmReportUsers array
    `private double` | `wmRunTime` Time of the day for the task to start `OleDateTime`
    `private double` | `wmStartDate` Start Date for task to be run `OleDateTime`
    `private int` | `wmStatus` Report status `ECfgReportTaskStatus`
    `private int` | `wmTimezoneId` Identifies time zone used to schedule report task `CfgTimezone`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CfgReportTask()`
    `CfgReportTask(int wmReportTaskId, int wmReportType, java.lang.String wmName, double wmStartDate, double wmEndDate, double wmRunTime, int wmFrequencyType, int wmFrequencyDay, boolean[] wmFrequency, java.lang.String wmReportFilter, int wmExportFormat, int wmStatus, int wmTimezoneId, int wmReportUsersNSizeIs, int[] wmReportUsers, int gswUserId, long timestamp)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getGswUserId()` Gets the gswUserId value for this CfgReportTask.
    `long` | `getTimestamp()` Gets the timestamp value for this CfgReportTask.
    `double` | `getWmEndDate()` Gets the wmEndDate value for this CfgReportTask.
    `int` | `getWmExportFormat()` Gets the wmExportFormat value for this CfgReportTask.
    `boolean[]` | `getWmFrequency()` Gets the wmFrequency value for this CfgReportTask.
    `int` | `getWmFrequencyDay()` Gets the wmFrequencyDay value for this CfgReportTask.
    `int` | `getWmFrequencyType()` Gets the wmFrequencyType value for this CfgReportTask.
    `java.lang.String` | `getWmName()` Gets the wmName value for this CfgReportTask.
    `java.lang.String` | `getWmReportFilter()` Gets the wmReportFilter value for this CfgReportTask.
    `int` | `getWmReportTaskId()` Gets the wmReportTaskId value for this CfgReportTask.
    `int` | `getWmReportType()` Gets the wmReportType value for this CfgReportTask.
    `int[]` | `getWmReportUsers()` Gets the wmReportUsers value for this CfgReportTask.
    `int` | `getWmReportUsersNSizeIs()` Gets the wmReportUsersNSizeIs value for this CfgReportTask.
    `double` | `getWmRunTime()` Gets the wmRunTime value for this CfgReportTask.
    `double` | `getWmStartDate()` Gets the wmStartDate value for this CfgReportTask.
    `int` | `getWmStatus()` Gets the wmStatus value for this CfgReportTask.
    `int` | `getWmTimezoneId()` Gets the wmTimezoneId value for this CfgReportTask.
    `void` | `setGswUserId(int gswUserId)` Sets the gswUserId value for this CfgReportTask.
    `void` | `setTimestamp(long timestamp)` Sets the timestamp value for this CfgReportTask.
    `void` | `setWmEndDate(double wmEndDate)` Sets the wmEndDate value for this CfgReportTask.
    `void` | `setWmExportFormat(int wmExportFormat)` Sets the wmExportFormat value for this CfgReportTask.
    `void` | `setWmFrequency(boolean[] wmFrequency)` Sets the wmFrequency value for this CfgReportTask.
    `void` | `setWmFrequencyDay(int wmFrequencyDay)` Sets the wmFrequencyDay value for this CfgReportTask.
    `void` | `setWmFrequencyType(int wmFrequencyType)` Sets the wmFrequencyType value for this CfgReportTask.
    `void` | `setWmName(java.lang.String wmName)` Sets the wmName value for this CfgReportTask.
    `void` | `setWmReportFilter(java.lang.String wmReportFilter)` Sets the wmReportFilter value for this CfgReportTask.
    `void` | `setWmReportTaskId(int wmReportTaskId)` Sets the wmReportTaskId value for this CfgReportTask.
    `void` | `setWmReportType(int wmReportType)` Sets the wmReportType value for this CfgReportTask.
    `void` | `setWmReportUsers(int[] wmReportUsers)` Sets the wmReportUsers value for this CfgReportTask.
    `void` | `setWmReportUsersNSizeIs(int wmReportUsersNSizeIs)` Sets the wmReportUsersNSizeIs value for this CfgReportTask.
    `void` | `setWmRunTime(double wmRunTime)` Sets the wmRunTime value for this CfgReportTask.
    `void` | `setWmStartDate(double wmStartDate)` Sets the wmStartDate value for this CfgReportTask.
    `void` | `setWmStatus(int wmStatus)` Sets the wmStatus value for this CfgReportTask.
    `void` | `setWmTimezoneId(int wmTimezoneId)` Sets the wmTimezoneId value for this CfgReportTask.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### wmReportTaskId

          int wmReportTaskId

      Report Task unique ID

    - #### wmReportType

          private int wmReportType

      Report Type

    - #### wmName

          private java.lang.String wmName

      Name of report

    - #### wmStartDate

          private double wmStartDate

      Start Date for task to be run `OleDateTime`

    - #### wmEndDate

          private double wmEndDate

      End Date for task to be run (can be null). `OleDateTime`

    - #### wmRunTime

          private double wmRunTime

      Time of the day for the task to start `OleDateTime`

    - #### wmTimezoneId

          private int wmTimezoneId

      Identifies time zone used to schedule report task `CfgTimezone`

    - #### wmFrequencyType

          private int wmFrequencyType

      `ECfgFrequencyType`

    - #### wmFrequencyDay

          private int wmFrequencyDay

      Used together with wmFrequencyType = ECfgFrequencyType.CFG_FREQUENCY_MONTHLY to specify day of the month.

    - #### wmFrequency

          private boolean[] wmFrequency

      Used together with wmFrequencyType = ECfgFrequencyType.CFG_FREQUENCY_WEEKLY to specify days of the week when task should run. Index 0-Mon, 1-Tue, 2-Wed, 3-Thu, 4-Fri, 5-Sat, 6-Sun

    - #### wmReportFilter

          private java.lang.String wmReportFilter

      Used to store custom report filter

    - #### wmExportFormat

          private int wmExportFormat

      Export format

    - #### wmStatus

          private int wmStatus

      Report status `ECfgReportTaskStatus`

    - #### wmReportUsersNSizeIs

          private int wmReportUsersNSizeIs

      Number of elements in the wmReportUsers array

    - #### wmReportUsers

          private int[] wmReportUsers

      A report distribution list containing user IDs `CfgUser`

    - #### gswUserId

          private int gswUserId

      An ID of user that owns Report Task `CfgUser`

    - #### timestamp

          private long timestamp

      A timestamp value -- marks the point in time when Object information was obtained

  - ### Constructor Detail

    - #### CfgReportTask

          public CfgReportTask()

    - #### CfgReportTask

          public CfgReportTask(int wmReportTaskId,
                       int wmReportType,
                       java.lang.String wmName,
                       double wmStartDate,
                       double wmEndDate,
                       double wmRunTime,
                       int wmFrequencyType,
                       int wmFrequencyDay,
                       boolean[] wmFrequency,
                       java.lang.String wmReportFilter,
                       int wmExportFormat,
                       int wmStatus,
                       int wmTimezoneId,
                       int wmReportUsersNSizeIs,
                       int[] wmReportUsers,
                       int gswUserId,
                       long timestamp)

  - ### Method Detail

    - #### getWmReportTaskId

          public int getWmReportTaskId()

      Gets the wmReportTaskId value for this CfgReportTask.
      Returns:
        wmReportTaskId

    - #### setWmReportTaskId

          public void setWmReportTaskId(int wmReportTaskId)

      Sets the wmReportTaskId value for this CfgReportTask.
      Parameters:
        `wmReportTaskId` -

    - #### getWmReportType

          public int getWmReportType()

      Gets the wmReportType value for this CfgReportTask.
      Returns:
        wmReportType

    - #### setWmReportType

          public void setWmReportType(int wmReportType)

      Sets the wmReportType value for this CfgReportTask.
      Parameters:
        `wmReportType` -

    - #### getWmName

          public java.lang.String getWmName()

      Gets the wmName value for this CfgReportTask.
      Returns:
        wmName

    - #### setWmName

          public void setWmName(java.lang.String wmName)

      Sets the wmName value for this CfgReportTask.
      Parameters:
        `wmName` -

    - #### getWmStartDate

          public double getWmStartDate()

      Gets the wmStartDate value for this CfgReportTask.
      Returns:
        wmStartDate

    - #### setWmStartDate

          public void setWmStartDate(double wmStartDate)

      Sets the wmStartDate value for this CfgReportTask.
      Parameters:
        `wmStartDate` -

    - #### getWmEndDate

          public double getWmEndDate()

      Gets the wmEndDate value for this CfgReportTask.
      Returns:
        wmEndDate

    - #### setWmEndDate

          public void setWmEndDate(double wmEndDate)

      Sets the wmEndDate value for this CfgReportTask.
      Parameters:
        `wmEndDate` -

    - #### getWmRunTime

          public double getWmRunTime()

      Gets the wmRunTime value for this CfgReportTask.
      Returns:
        wmRunTime

    - #### setWmRunTime

          public void setWmRunTime(double wmRunTime)

      Sets the wmRunTime value for this CfgReportTask.
      Parameters:
        `wmRunTime` -

    - #### getWmFrequencyType

          public int getWmFrequencyType()

      Gets the wmFrequencyType value for this CfgReportTask.
      Returns:
        wmFrequencyType

    - #### setWmFrequencyType

          public void setWmFrequencyType(int wmFrequencyType)

      Sets the wmFrequencyType value for this CfgReportTask.
      Parameters:
        `wmFrequencyType` -

    - #### getWmFrequencyDay

          public int getWmFrequencyDay()

      Gets the wmFrequencyDay value for this CfgReportTask.
      Returns:
        wmFrequencyDay

    - #### setWmFrequencyDay

          public void setWmFrequencyDay(int wmFrequencyDay)

      Sets the wmFrequencyDay value for this CfgReportTask.
      Parameters:
        `wmFrequencyDay` -

    - #### getWmFrequency

          public boolean[] getWmFrequency()

      Gets the wmFrequency value for this CfgReportTask.
      Returns:
        wmFrequency

    - #### setWmFrequency

          public void setWmFrequency(boolean[] wmFrequency)

      Sets the wmFrequency value for this CfgReportTask.
      Parameters:
        `wmFrequency` -

    - #### getWmReportFilter

          public java.lang.String getWmReportFilter()

      Gets the wmReportFilter value for this CfgReportTask.
      Returns:
        wmReportFilter

    - #### setWmReportFilter

          public void setWmReportFilter(java.lang.String wmReportFilter)

      Sets the wmReportFilter value for this CfgReportTask.
      Parameters:
        `wmReportFilter` -

    - #### getWmExportFormat

          public int getWmExportFormat()

      Gets the wmExportFormat value for this CfgReportTask.
      Returns:
        wmExportFormat

    - #### setWmExportFormat

          public void setWmExportFormat(int wmExportFormat)

      Sets the wmExportFormat value for this CfgReportTask.
      Parameters:
        `wmExportFormat` -

    - #### getWmStatus

          public int getWmStatus()

      Gets the wmStatus value for this CfgReportTask.
      Returns:
        wmStatus

    - #### setWmStatus

          public void setWmStatus(int wmStatus)

      Sets the wmStatus value for this CfgReportTask.
      Parameters:
        `wmStatus` -

    - #### getWmReportUsersNSizeIs

          public int getWmReportUsersNSizeIs()

      Gets the wmReportUsersNSizeIs value for this CfgReportTask.
      Returns:
        wmReportUsersNSizeIs

    - #### setWmReportUsersNSizeIs

          public void setWmReportUsersNSizeIs(int wmReportUsersNSizeIs)

      Sets the wmReportUsersNSizeIs value for this CfgReportTask.
      Parameters:
        `wmReportUsersNSizeIs` -

    - #### getWmReportUsers

          public int[] getWmReportUsers()

      Gets the wmReportUsers value for this CfgReportTask.
      Returns:
        wmReportUsers

    - #### setWmReportUsers

          public void setWmReportUsers(int[] wmReportUsers)

      Sets the wmReportUsers value for this CfgReportTask.
      Parameters:
        `wmReportUsers` -

    - #### getGswUserId

          public int getGswUserId()

      Gets the gswUserId value for this CfgReportTask.
      Returns:
        gswUserId

    - #### setGswUserId

          public void setGswUserId(int gswUserId)

      Sets the gswUserId value for this CfgReportTask.
      Parameters:
        `gswUserId` -

    - #### getTimestamp

          public long getTimestamp()

      Gets the timestamp value for this CfgReportTask.
      Returns:
        timestamp

    - #### setTimestamp

          public void setTimestamp(long timestamp)

      Sets the timestamp value for this CfgReportTask.
      Parameters:
        `timestamp` -

    - #### getWmTimezoneId

          public int getWmTimezoneId()

      Gets the wmTimezoneId value for this CfgReportTask.
      Returns:
        wmTimezoneId

    - #### setWmTimezoneId

          public void setWmTimezoneId(int wmTimezoneId)

      Sets the wmTimezoneId value for this CfgReportTask.
      Parameters:
        `wmTimezoneId` -

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.